package com.example.sae41_2025;

import android.graphics.Color;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.RelativeLayout;

public class BtnOublierPartieListener implements OnClickListener {
    private MainActivity activity_menu;

    public BtnOublierPartieListener(MainActivity activity_menu) {
        this.activity_menu = activity_menu;
    }

    @Override
    public void onClick(View v) {
        this.activity_menu.resetGrille();
        this.activity_menu.setDifficulte(false);
        this.activity_menu.getMenuLayout().setBackgroundColor(Color.parseColor("#fffffbfb"));
        this.activity_menu.getSwitchDifficulte().setChecked(false);
        this.activity_menu.actualiserBtnMenu();
    }
}